# $Id: smeserver-sendmail-wrapper.spec,v 1.4 2024/02/29 02:19:25 jpp Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-sendmail-wrapper
%define name smeserver-sendmail-wrapper
%define version 0.1
%define release 8
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: smeserver-devtools >= 1.13.1-03
Requires: smeserver-release >= 9.0

%description
sendmail wrapper and templates to redirect php emails to qpsmtpd instead of qmail.
This is intended to introduce a little more verification before sending email thanks to the plugins of qpsmtpd instead of simply sending them blindly withthe qmail sendmail wrapper.

%prep
%setup
mkdir -p root/var/log/sendmail

rm -rf  root/etc/e-smith/templates/opt

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
| grep -v var/log/sendmail > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)
%attr( 770 , www,www) /var/log/sendmail

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/hosts.deny_ssh

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.1-8.sme
- Fix e-smith references in smeserver-sendmail-wrapper [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.1-7.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Feb 28 2024 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-6.sme
- fix missing su for logrotate [SME: 12495]

* Sat Nov 06 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-5.sme
- import to SME10 [SME: 11739]

* Tue Apr 07 2020 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-4.sme
- add php73 support [SME: 10737]
  fix typo for php72

* Wed Mar 07 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-3.sme
- fix error on logrotate [SME: 10525]

* Fri Mar 02 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-2.sme
- fix log not accessible [SME: 10525]
  moved to a www writable directory, also a logrotate has been added
- fix sendmail wrapper fails if not used by root 

* Fri Aug 18 2017 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-1.sme
- Initial version
